package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.MallPermission;
import com.iformall.domain.po.MallUserInfo;
import com.iformall.domain.po.MallUserRole;

import java.util.List;

public interface MallUserRoleService {
	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<MallUserRole> listAsPage(MallUserRole record, Integer pageIndex, Integer pageSize);

    /**
     * 根据实体查询列表
     *
     * @param record
     * @return
     */
	List<MallUserRole> getList(MallUserRole record);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    MallUserRole getById(Long id);

    /**
     * 根据uid获得实体
     *
     * @param uid
     * @return
     */
    MallUserRole getByUid(Long uid);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(MallUserRole record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    int cntUserList(MallUserRole record);


	void deleteByUserId(Long uid);

    /**
     * 检查用户是否有移动塔台权限
     * @param userInfo
     * @return
     */
    boolean checkIsMobileAdmin(MallUserInfo userInfo);

    /**
     * 获取用户menu权限
     * @param userInfo
     * @return
     */
    String getPermissionsByUser(MallUserInfo userInfo);
	
	
	
}
